Subject: RE: [PATCH] advice: Add advice.scissors to suppress "do not modify or remove this line"

From: <[email-masked]>
Date: Tue, 16 Apr 2024 18:52:11 -0400

On Tuesday, April 16, 2024 6:31 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>>>>> This is useful advice for new users, but potentially redundant for
>>>>> experienced users, who might instead appreciate seeing two more
>>>>> lines of information in their editor.
>>>>>
>>>>> Add advice.scissors to suppress that explanation.
>>>>
>>>> Following up on this patch. Happy to rework if needed.
>>>
>>>I am not personally interested in the feature myself, and I doubt it
>>>would
>> help the
>>>end-user experience very much.  You'd need to find somebody else to
>>>cheer
>> for the
>>>topic ;-)
>>
>> I am having a bit of trouble understanding the use-case for this. Is
>> it limited to linkgit? Under what circumstances would I need to use
>> such capabilities?
>
>When you run "git commit" from the command line without specifying any
>message, you'd get an editor spawned for you with something like this in
the file ("--
>- >8 ---" and "--- 8< ---" are for illustration purposes in this message).
>
>    --- >8 ---
>
>    # Please enter the commit message for your changes. Lines starting
>    # with '#' will be ignored, and an empty message aborts the commit.
>    #
>    # On branch next
>    # Untracked files:
>    #	+runme.sh
>    #	P
>    #
>    --- 8< ---
>
>But when you run "git commit --cleanup=scissors" (or use the equivalent
>configuration variables), you'd get this instead.
>
>    --- >8 ---
>
>    # ------------------------ >8 ------------------------
>    # Do not modify or remove the line above.
>    # Everything below it will be ignored.
>    #
>    # On branch next
>    # Untracked files:
>    #	+runme.sh
>    #	P
>    #
>    --- 8< ---
>
>The new advice configuration is to suppress the two lines from that message
>template.
>
>I agree that a bit more background information should be given in the
proposed log
>message to help readers.  It should mention when this new setting is
relevant (e.g.,
>when the "--cleanup=scissors"
>option is in effect), at least.
>
>I suspect that the same configuration variable wants to also control the
"helpful"
>comment in the "normal" case, in which case the name of the configuration
variable
>would need to be rethought.

Thanks. I hope that the default "helpful" comment in the "normal" case would
not change anything. I personally have course material that references
examples with the current commit message structure that would be impacted -
No problem changing it, but I am not sure what the new result would be.

As a comment on this, the scissors option might need some NLS consideration
in organizations where there are more than one languages/encodings in use. I
could see some global settings conflicting with local, but that would need
documentation.